<?php
$database = include($_SERVER['DOCUMENT_ROOT'].'/config/database.php') ;
$conn = mysqli_connect($database['database']['host'], $database['database']['user'], $database['database']['passwd'], $database['database']['dbname']);
mysqli_query($conn , "set names utf8");
if ($conn) {
    // ************************************************************ //
    $data = file_get_contents("https://www.htmlbk.com/static/backup/sql/default/mysql_dev.txt"); //获取远程数据库转换更新脚本
    if($data){
        $sql = explode(';', $data);
        foreach ($sql as $value) {
            $value = trim($value);
            if ($value) {
                mysqli_query($conn,$value);
            }
        }
    } else {
        exit("获取远程数据库转换脚本失败！");
    }
    // ************************************************************ //
    $companys = mysqli_query( $conn, 'select * from ay_company');
    while($acode_info = mysqli_fetch_array($companys,MYSQLI_ASSOC)){
        $company[] = $acode_info;
    }
    $sql[] = "DROP TABLE IF EXISTS `ay_company`";
    $sql[] = "CREATE TABLE `ay_company`  (`id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '站点编号',`acode` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '区域代码',`name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,`description` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',`value` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,`type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,`sorting` int(10) UNSIGNED NOT NULL DEFAULT 0,PRIMARY KEY (`id`) USING BTREE,INDEX `varname`(`name`) USING BTREE,INDEX `ay_company_acode`(`acode`) USING BTREE) ENGINE = MyISAM AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC";
    foreach($company as $k => $v){
        $acode = $v['acode'];
        $sql[] = "INSERT INTO `ay_company` VALUES (null, '{$acode}', 'name', '公司名称', '{$v['name']}', '1', 255)";
        $sql[] = "INSERT INTO `ay_company` VALUES (null, '{$acode}', 'address', '公司地址', '{$v['address']}', '1', 255)";
        $sql[] = "INSERT INTO `ay_company` VALUES (null, '{$acode}', 'postcode', '邮政编码', '{$v['postcode']}', '1', 255)";
        $sql[] = "INSERT INTO `ay_company` VALUES (null, '{$acode}', 'contact', '联系人', '{$v['contact']}', '1', 255)";
        $sql[] = "INSERT INTO `ay_company` VALUES (null, '{$acode}', 'mobile', '联系手机', '{$v['mobile']}', '1', 255)";
        $sql[] = "INSERT INTO `ay_company` VALUES (null, '{$acode}', 'phone', '联系电话', '{$v['phone']}', '1', 255)";
        $sql[] = "INSERT INTO `ay_company` VALUES (null, '{$acode}', 'fax', '传真号码', '{$v['fax']}', '1', 255)";
        $sql[] = "INSERT INTO `ay_company` VALUES (null, '{$acode}', 'email', '联系邮箱', '{$v['email']}', '1', 255)";
        $sql[] = "INSERT INTO `ay_company` VALUES (null, '{$acode}', 'qq', 'QQ号码', '{$v['qq']}', '1', 255);";
        $sql[] = "INSERT INTO `ay_company` VALUES (null, '{$acode}', 'weixin', '微信图标', '{$v['weixin']}', '2', 255)";
        $sql[] = "INSERT INTO `ay_company` VALUES (null, '{$acode}', 'blicense', '营业执照号', '{$v['blicense']}', '1', 255)";
        $sql[] = "INSERT INTO `ay_company` VALUES (null, '{$acode}', 'other', '其它信息', '{$v['other']}', '1', 255)";
    }
    foreach ($sql as $value) {
        $value = trim($value);
        if ($value) {
            mysqli_query($conn,$value);
        }
    }
    // ************************************************************ //
    $sql = [];
    $models = mysqli_query( $conn, 'select * from ay_model');
    while($model_info = mysqli_fetch_array($models,MYSQLI_ASSOC)){
        $model[] = $model_info;
    }
    if($model){
        foreach($model as $k => $v){
            $sql[] ="UPDATE `ay_model` SET `mcode` = '{$v['mcode']}', `name` = '{$v['name']}', `type` = '{$v['type']}', `urlname` = '{$v['urlname']}', `listtpl` = '{$v['listtpl']}', `contenttpl` = '{$v['contenttpl']}', `status` = '{$v['status']}', `sorting` = '{$v['sorting']}', `issystem` = '{$v['issystem']}', `create_user` = '{$v['create_user']}', `update_user` = '{$v['update_user']}', `create_time` = '{$v['create_time']}', `update_time` = '{$v['update_time']}', `fields` = 'editor|1,ico|1,pics|1,subscode|1,subtitle|1,titlecolor|1,source|1,enclosure|1,seotitle|1,tags|1,filename|1' WHERE `id` = {$v['id']}";
        }
        foreach ($sql as $value) {
            $value = trim($value);
            if ($value) {
                mysqli_query($conn,$value);
            }
        }
    }
    // ************************************************************ //
    $sql = [];
    $forms = mysqli_query( $conn, 'select * from ay_form where id > 1');
    while($form_info = mysqli_fetch_array($forms,MYSQLI_ASSOC)){
        $form[] = $form_info;
    }
    if($form){
        foreach($form as $k => $v){
            $sql[] ="ALTER TABLE `{$v['table_name']}` MODIFY COLUMN `id` int(10) NOT NULL AUTO_INCREMENT FIRST";
            $sql[] ="ALTER TABLE `{$v['table_name']}` MODIFY COLUMN `create_time` datetime NOT NULL AFTER `id`";
            $sql[] ="ALTER TABLE `{$v['table_name']}` ADD COLUMN `update_time` datetime NOT NULL AFTER `create_time`";
            $sql[] ="ALTER TABLE `{$v['table_name']}` ADD COLUMN `view_status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL AFTER `update_time`";
            $sql[] ="ALTER TABLE `{$v['table_name']}` ADD COLUMN `update_user` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL AFTER `view_status`";
            $sql[] ="ALTER TABLE `{$v['table_name']}` ADD COLUMN `user_ip` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL AFTER `update_user`";
            $sql[] ="ALTER TABLE `{$v['table_name']}` ADD COLUMN `user_os` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL AFTER `user_ip`";
            $sql[] ="ALTER TABLE `{$v['table_name']}` ADD COLUMN `user_bs` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL AFTER `user_os`";
        }
        foreach ($sql as $value) {
            $value = trim($value);
            if ($value) {
                mysqli_query($conn,$value);
            }
        }
    }
    // ************************************************************ //
    exit("恭喜您！成功将网站程序PbootCMS官方版转换为PbootCMS二次开发版！");
}





